Bug 25201 - Pink artifacts on objects in the distance in ETQW/Quake 4
Summary: Pink artifacts on objects in the distance in ETQW/Quake 4
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Eric Anholt
QA Contact:
Depends on:
Reported: 2009-11-20 09:52 UTC by Sven Arvidsson
Modified: 2013-02-21 15:26 UTC (History)
0 users

See Also:
i915 platform:
i915 features:

screenshot of etqw (96.96 KB, image/jpeg)
2009-11-20 09:52 UTC, Sven Arvidsson

Note You need to log in before you can comment on or make changes to this bug.
Description Sven Arvidsson 2009-11-20 09:52:32 UTC
Created attachment 31347 [details]
screenshot of etqw

In the games ETQW and Quake 4, some objects have a pink tint when viewed from a distance. In the attached screenshot it can be seen on the wall, almost in the middle of the image. 

System environment:
-- chipset: G45 / ICH10R
-- system architecture: 32-bit
-- Linux distribution: Debian unstable
-- Machine or mobo model: Asus P5Q-EM
-- Display connector: DVI
-- KMS: enabled
-- xf86-video-intel: 14109abf285866ad4cd99d0cd16b0954a0a73a62
-- xserver: 1.7.0
-- mesa: e8eec9385497053a4172deeff9c0ff2726a10f3b
-- drm: 83a35b68f45cebc70152e55ed3f99db485c9a7cd
-- kernel: 2.6.32-rc7 (debian)
Comment 1 Eric Anholt 2009-11-21 03:06:22 UTC
Yeah, I've seen this too.
Comment 2 Eric Anholt 2013-02-13 19:27:42 UTC
Trimmed trace for this failure on ivb at http://people.freedesktop.org/~anholt/etqw-trim2.trace -- there are 2 different draw commands where if either is removed, the failure looks like it goes away.  One is a 6-vert TRIANGLES, and the other is a big draw operation that presumably is drawing the building I'm looking at.
Comment 3 Eric Anholt 2013-02-14 23:15:10 UTC
commit 5bb05c6e6d596d66c177e42a36128d2ca2e300aa
Author: Eric Anholt <eric@anholt.net>
Date:   Wed Feb 13 21:21:45 2013 -0800

    i965/gen7: Set up all samplers even if samplers are sparsely used.
    In GLSL, sampler indices are allocated contiguously from 0.  But in the
    case of ARB_fragment_program (and possibly fixed function), an app that
    uses texture 0 and 2 will use sampler indices 0 and 2, so we were only
    allocating space for samplers 0 and 1 and setting up sampler 0.  We
    would read garbage for sampler 2, resulting in flickering textures and
    an angry simulator.
    Fixes bad rendering in 0 A.D. and ETQW.  This was fixed for pre-gen7 by
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=25201
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=58680
    Reviewed-by: Kenneth Graunke <kenneth@whitecape.org>
    NOTE: This is a candidate for stable branches.
Comment 4 Andreas Boll 2013-02-21 15:26:22 UTC
Cherry-picked to the 9.0 branch: be7048477a2989bd11ab590c65ea1515f764a86c

It will be available in Mesa 9.0.3.

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.